package controller;

import java.rmi.Remote;
import java.rmi.RemoteException;

/**
 * Remote functions of the Daemon Server application
 * 
 * @author Marcelo R.N. Mendes
 * 
 * @see		DaemonServer
 *
 */
public interface RemoteDaemonServerFunctions extends Remote{
	public void startDriver(String Alias) throws RemoteException;
	public void startSink(String Alias) throws RemoteException;
}
